%define pypi_name	widgetsnbextension

Name:		python-%{pypi_name}
Summary:	IPython HTML widgets for Jupyter
Version:	4.0.13
Release:	%mkrel 2
Group:		Development/Python
License:	BSD
URL:		https://ipython.org/
Source0:	%{pypi_source}
BuildArch:	noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:	pkgconfig(python3)

%description
Interactive HTML widgets for Jupyter notebooks.
This is the Python3 version.

%package -n     python3-%{pypi_name}
Summary:	IPython HTML widgets for Jupyter (Python 3)
Group:		Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:	widgetsnbextension = %{version}-%{release}
Provides:	python3-jupyter-%{pypi_name} = %version-%release
Provides:	jupyter-widgetsnbextension = %version-%release

%description -n python3-%{pypi_name}
Interactive HTML widgets for Jupyter notebooks.
This is the Python3 version.


%package -n widgetsnbextension
Summary:	IPython HTML widgets for Jupyter
Group:		Development/Python


%description -n widgetsnbextension
Interactive HTML widgets for Jupyter notebooks.
Common js files.


%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files widgetsnbextension

mv %{buildroot}/usr/etc %{buildroot}%{_sysconfdir}


%files -n python3-%{pypi_name} -f %{pyproject_files}



%files -n widgetsnbextension
%config %{_sysconfdir}/jupyter/nbconfig/notebook.d/widgetsnbextension.json
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/extension.js
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/extension.js.map
%{_datadir}/jupyter/nbextensions/jupyter-js-widgets/extension.js.LICENSE.txt


%changelog
* Sun Mar 02 2025 wally <wally> 4.0.13-2.mga10
+ Revision: 2156321
- rebuild for python3.13

* Thu Dec 19 2024 papoteur <papoteur> 4.0.13-1.mga10
+ Revision: 2126516
- new version 4.0.13

* Tue Jul 02 2024 papoteur <papoteur> 4.0.11-1.mga10
+ Revision: 2079005
- new version 4.0.11

* Tue May 14 2024 papoteur <papoteur> 4.0.10-1.mga10
+ Revision: 2064166
- new version 4.0.10

* Tue Dec 26 2023 wally <wally> 4.0.9-1.mga10
+ Revision: 2021867
- new version 4.0.9
- use %%pyproject_buildrequires

* Thu Sep 08 2022 neoclust <neoclust> 4.0.2-1.mga9
+ Revision: 1885751
- New version 	4.0.2

* Wed Mar 23 2022 umeabot <umeabot> 3.5.1-4.mga9
+ Revision: 1823095
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 3.5.1-3.mga9
+ Revision: 1779837
- rebuild for python-3.10

* Tue Mar 23 2021 daviddavid <daviddavid> 3.5.1-2.mga9
+ Revision: 1708320
- rebuild for python 3.9
- fix python3 pkg name

* Mon Feb 17 2020 daviddavid <daviddavid> 3.5.1-1.mga8
+ Revision: 1536961
- new version: 3.5.1

* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-5.mga8
+ Revision: 1533979
- Mageia 8 Mass Rebuild

* Thu Sep 26 2019 daviddavid <daviddavid> 2.0.0-4.mga8
+ Revision: 1446286
- rebuild for python3.8

* Sat Jan 12 2019 tmb <tmb> 2.0.0-3.mga7
+ Revision: 1355278
- rebuild for python 3.7

* Fri Sep 21 2018 umeabot <umeabot> 2.0.0-2.mga7
+ Revision: 1290571
- Mageia 7 Mass Rebuild

* Tue Aug 15 2017 philippem <philippem> 2.0.0-1.mga7
+ Revision: 1140683
- update to 2.0.0, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 1.2.6-2.mga7
+ Revision: 1135694
- Rebuild for python 3.6

* Tue Jul 19 2016 joequant <joequant> 1.2.6-1.mga6
+ Revision: 1042586
- upgrade to 1.2.6

* Wed May 04 2016 philippem <philippem> 1.2.2-1.mga6
+ Revision: 1009198
- update to 1.2.2

* Fri Apr 29 2016 philippem <philippem> 1.2.1-1.mga6
+ Revision: 1007703
- update to 1.2.1

* Wed Apr 20 2016 philippem <philippem> 1.0.0-1.mga6
+ Revision: 1003881
- imported package python-widgetsnbextension

